package com.ruoyi.ss.changeBalance.mapper;

import com.ruoyi.ss.changeBalance.domain.ChangeBalance;
import com.ruoyi.ss.changeBalance.domain.ChangeBalanceQuery;

import java.math.BigDecimal;
import java.util.List;

/**
 * 余额变动Mapper接口
 *
 * @author qzz
 * @date 2024-09-28
 */
public interface ChangeBalanceMapper
{
    /**
     * 查询余额变动
     *
     * @param changeId 余额变动主键
     * @return 余额变动
     */
    public ChangeBalance selectRlChangeBalanceByChangeId(Long changeId);

    /**
     * 查询余额变动列表
     *
     * @param rlChangeBalance 余额变动
     * @return 余额变动集合
     */
    public List<ChangeBalance> selectRlChangeBalanceList(ChangeBalance rlChangeBalance);

    /**
     * 新增余额变动
     *
     * @param rlChangeBalance 余额变动
     * @return 结果
     */
    public int insertRlChangeBalance(ChangeBalance rlChangeBalance);

    /**
     * 修改余额变动
     *
     * @param rlChangeBalance 余额变动
     * @return 结果
     */
    public int updateRlChangeBalance(ChangeBalance rlChangeBalance);

    /**
     * 删除余额变动
     *
     * @param changeId 余额变动主键
     * @return 结果
     */
    public int deleteRlChangeBalanceByChangeId(Long changeId);

    /**
     * 批量删除余额变动
     *
     * @param changeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlChangeBalanceByChangeIds(Long[] changeIds);

    /**
     *  最后账变记录
     */
    ChangeBalance lastChangeBalance(Long userId);

    /**
     *  根据条件统计账变金额
     */
    BigDecimal selectFee(ChangeBalanceQuery query);
}
